Commit 58628d3c authored by Sandro Knauß's avatar Sandro Knauß Committed by Ben Cooksley

check-abi: Fix error logging for non compatible builds.

Differential Revision: https://phabricator.kde.org/D17880
parent 1b804bc5
......@@ -203,11 +203,11 @@ for l in libraries:
prog = subprocess.run(cmd, check=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
except subprocess.CalledProcessError as e:
if e.returncode == 1: # that means that we are not compatible, but still valid output.
logging.warning("abi-compliance-checker exited with 1:\n%s", prog.stdout.decode())
logging.warning("abi-compliance-checker exited with 1:\n%s", e.stdout.decode())
yml.update(parseACCOutputToDict(e.stdout))
else:
logging.error("abi-compliance-checker exited with %s:\nstdout:\n\ŧ%s\nstderr:\n\t%s", e.returncode, e.stdout.decode(), e.stderr.decode())
logging.error("abi-compliance-checker exited with %s:\nstdout:\n\t%s\nstderr:\n\t%s", e.returncode, e.stdout.decode(), e.stderr.decode())
retval = e.returncode
yml['error'] = e.returncode
else:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment